require 'test_helper'

class FramersControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:framers)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_framer
    assert_difference('Framer.count') do
      post :create, :framer => { }
    end

    assert_redirected_to framer_path(assigns(:framer))
  end

  def test_should_show_framer
    get :show, :id => framers(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => framers(:one).id
    assert_response :success
  end

  def test_should_update_framer
    put :update, :id => framers(:one).id, :framer => { }
    assert_redirected_to framer_path(assigns(:framer))
  end

  def test_should_destroy_framer
    assert_difference('Framer.count', -1) do
      delete :destroy, :id => framers(:one).id
    end

    assert_redirected_to framers_path
  end
end
