EtchaBuilder = {
  local:{},
  jsonRep:'',
  columns:'',
  sections:'',
  columnCount:7,
  columnWidth:30,
  columnHeight:177,
  layoutWidth:950, 
  gutterWidth:10,
  sliderWidth:120,
  sliderHeight:50,
  lineheight:20,
  current:'',
  tagList:'#layout p,#layout h1,#layout h2,#layout h3,#layout h4',
  init:function(){
    
    // int behaviors
    $('div#builder div#builder-1').show()
    this.Grid.init()
    
    $(this.styleNode).attr("id","css-store")     // define dynamic style sheet
    $(this.metacache).attr("id","metacache")     // define meta script tag
    
    var gridPosition=(((window.innerWidth - EtchaBuilder.layoutWidth) / 2)-7)+"px";
    var marginDefualt = '0 0 '+this.gutterWidth+'px 0'
    Etcha = {  //Set default css values
      body:  {parent:'Etcha',type:'element',properties:{}},
      grid:  {parent:'Etcha',type:'id',properties:{background:'url(/images/bgrid/'+this.gutterWidth+'.gif)',width:EtchaBuilder.layoutWidth+'px',position:'fixed',left:gridPosition,'min-height':'200px',opacity:'.4'}},
      layout:{parent:'Etcha',type:'id', properties:{width:EtchaBuilder.layoutWidth+'px',margin:'0 auto',border:'1px solid #ccc','min-height':'1000px',overflow:'hidden',opacity:'.5'}},
      blocks:{parent:'Etcha',type:'class', properties:{'float':'left',background:'#DFDFDF'}},
      column:{parent:'Etcha',type:'class',properties:{'float':'left',height:this.columnHeight+'px',width:this.columnWidth+'px','border-top':'1px solid','border-bottom':'1px solid',margin:marginDefualt}},
      gutter:{parent:'Etcha',type:'class',properties:{margin:marginDefualt,height:this.columnHeight+'px',width:EtchaBuilder.gutterWidth+'px','float':'left',opacity:'.4',background:'#9FDDFF','border-top':'1px #000 solid','border-bottom':'1px #000 solid'}}
    }
    
    // build style sheet
    EtchaBuilder.Grid.format()
 
    // set default events 
    var gridWidth = $("input#grid-width")
    gridWidth.val(EtchaBuilder.layoutWidth)
    
    gridWidth.live('change', function(e){
      EtchaBuilder.layoutWidth=$('input#grid-width').val();
      EtchaBuilder.Grid.init()
      EtchaBuilder.Grid.closeGutter()
      EtchaBuilder.Grid.cage() })

    // gutter width
    $('input#gutter-width').val(EtchaBuilder.gutterWidth)
    $('input#gutter-width').live('change', function(e){
      EtchaBuilder.gutterWidth=$('input#gutter-width').val();
      EtchaBuilder.Grid.gutterDepth(EtchaBuilder.gutterWidth)
      EtchaBuilder.Grid.closeGutter()
      })

      $("#dialog").dialog();
      $("#accordion").accordion({
    			header: "h3"
    		});
    	

    var padingTop     =  $('#element-padding-t')
    var padingRight   =  $('#element-padding-r')
    var padingBottom  =  $('#element-padding-b')
    var padingLeft    =  $('#element-padding-l')
    var marginTop     =  $('#element-margin-t')
    var marginRight   =  $('#element-margin-r')
    var marginBottom  =  $('#element-margin-b')
    var marginLeft    =  $('#element-margin-l')
    
    padingTop.blur(function(){
      selected = $('div.elected')[0].id
      EtchaBuilder.parse({element:selected,property:'padding-top',value:this.value+'px'});
      })
    padingRight.blur(function(){
        selected = $('div.elected')[0].id
        EtchaBuilder.parse({element:selected,property:'padding-right',value:this.value+'px'});
        })
    padingBottom.blur(function(){
          selected = $('div.elected')[0].id
          EtchaBuilder.parse({element:selected,property:'padding-bottom',value:this.value+'px'});
      })
    padingLeft.blur(function(){
        selected = $('div.elected')[0].id
        EtchaBuilder.parse({element:selected,property:'padding-left',value:this.value+'px'});
      })
    marginTop.blur(function(){
      selected = $('div.elected')[0].id
      EtchaBuilder.parse({element:selected,property:'margin-top',value:this.value+'px'});
      })
    marginRight.blur(function(){
        selected = $('div.elected')[0].id
        EtchaBuilder.parse({element:selected,property:'margin-right',value:this.value+'px'});
        })
    marginBottom.blur(function(){
          selected = $('div.elected')[0].id
          EtchaBuilder.parse({element:selected,property:'margin-bottom',value:this.value+'px'});
      })
    marginLeft.blur(function(){
        selected = $('div.elected')[0].id
        EtchaBuilder.parse({element:selected,property:'margin-left',value:this.value+'px'});
      })
      
            
    // elect blocks
    $('div.blocks').live('click',function(){EtchaBuilder.Grid.elect(this) })  // listen to block events
    
     $(EtchaBuilder.tagList).live('mouseover',function(){
        $(this).css({border:'1px solid red'})
      })
      .live('mouseout',function(){
        $(this).css({border:'none'})
      })
      .live('click',function(){
        $(this).css({background:'#FFE4CF'})
        EtchaBuilder.Grid.electTag(this)

      })
      .live('dblclick',function(){
        $(this).css({background:'none'})
      })
    
    
    // click events
    $('#merge').live('click',function(){EtchaBuilder.Grid.mergeColumns()})             // merge
    $('#insert-row').live('click',function(){EtchaBuilder.Grid.insert()})              // add row
    $('#remove').live('click',function(){EtchaBuilder.Grid.discard()})                 //remove element
    $('#export-markup').live('click',function(){EtchaBuilder.Export.strip()})          //remove element
    
    
    // toggles
    $('#toggle-grid').click(function(){$('#grid').toggle()})
    $('#toggle-boxes').click(function(){
       ($('div.blocks').hasClass('clean')) ? $('div.blocks').removeClass('clean') :$('div.blocks').addClass('clean')
      })
      
      
    // register close event
    this.Typography.init()
    this._close()
    this.Grid.raster(180) //build grid
  },  tag:function(elStyle){
      // this is psudeo works in the console
      els={el:'header',p:'font-family',v:'Arial',t:'p'}
      function cl(m){console.log(m)}
      function tagElement(obj){

        jQuery.each(obj,function(i,val){
             if(i==els.el){
                if(!Etcha[els.el].tags[els.t]) {Etcha[els.el].tags[els.t]={};Etcha[els.el].tags[els.t].properties={}}
                Etcha[els.el].tags[els.t].properties[els.p]=els.v
              }
             if(typeof val =="object") tagElement(val)
        })

      }

      tagElement(Etcha)

      EtchaBuilder.Grid.format()
    },

    parse:function(cssOptions){

      function rr(col,pp){
           jQuery.each(col, function(i,val){
               if (i == pp.element) {  
                //allows you to add properties recursively, add another case for greater depths
                switch(val.parent.length){
                  case 1:
                    Etcha[i].properties[pp.property]=pp.value
                    return false;
                    break
                  case 2:
                    Etcha[val.parent[0]][val.parent[1]][i].properties[pp.property]=pp.value
                    return false;
                    break
                 }
               }
             //recursion call 
             if(typeof val == 'object'){rr(val,pp) }

           })
      }

      rr(Etcha,{property:cssOptions.property,value:cssOptions.value,element:cssOptions.element})
      EtchaBuilder.Grid.format()

     },
    _close:function(){
      $('#close').live('click',function(){$('div#builder').hide()})
    }
}


$(document).ready(function(){
  $('#heroku_toolbar').remove()
  $('div#builder div.pane').hide()
  $('ul#beahviors li a').click(function(){
  $('div#builder').show()
    $('div#builder div.pane').hide()
    pane = $(this).attr('href');
    $(pane).show()
  })
  
  EtchaBuilder.init()
  
});