EtchaBuilder.Grid={
  ColumnCount:$('#column-count'),
  init:function(){
    //   slide events
    $("#column-width").slider({range:"min",value:7,min:.1,max:300,
      slide:function(event,ui){
      EtchaBuilder.columnWidth=Math.round(ui.value)
      
      $("#column-widths").val(Math.round(ui.value));
      
      EtchaBuilder.Grid.columnStretch(Math.round(ui.value))
      EtchaBuilder.Grid.closeGutter()
      
      }
    })
    $("#column-height").slider({range:"min",value:7,min:1,max:200,
      slide:function(event,ui){
      $("#column-heights").val(Math.round(ui.value));
      EtchaBuilder.Grid.columnRaise(Math.round(ui.value))
      }
    })
  },
  
  raster:function(count){
    //builds background grid columns
    for (var i = count - 1; i >= 0; i--){
       $('<div class="column"></div><div class="gutter"></div>').appendTo($('#grid'))
    };
    this.closeGutter()
  },
  
  closeGutter:function(){
    // TODO: Refactor this... sure there are more jquery tricks to do the filtering
    upb=Number(EtchaBuilder.layoutWidth) / (Number(EtchaBuilder.columnWidth) + Number(EtchaBuilder.gutterWidth))
    upb=Math.round(upb)
    $('#column-count').text(upb)
    EtchaBuilder.columnCount=upb
    $('#grid div.gutter').removeClass('close')
    var count=0;
    //look for the last column hide the gutter to the right
    jQuery.each($('#grid div.gutter'),function(i,val){
      count++
      if(count == upb){$(val).addClass('close');
      count=0;
      }
    })
  },
  
  columnStretch:function(w){
    Etcha.column.properties.width = w+"px"
    this.format()
  },
  
  columnRaise:function(h){

    Etcha.column.properties.height = h+"px"
    Etcha.gutter.properties.height = h+"px"
    this.format()
  },
  
  gutterDepth:function(h){
  
    Etcha.gutter.properties.width = h+"px"
    Etcha.grid.properties.background = "url(/images/bgrid/"+h+".gif)"
    Etcha.gutter.properties.margin = '0 0 '+h+'px 0'
    Etcha.column.properties.margin = '0 0 '+h+'px 0'
   
    jQuery.each(Etcha, function(i,val){
      if(Etcha[i].create) {
        Etcha[i].properties.margin = '0 '+h+'px '+h+'px 0'
      }
    })
    this.format()
  },

  mergeColumns:function(){
    n = $('div.elected').length
    newColWidth = n * EtchaBuilder.sliderWidth
    EtchaBuilder.section = {}
    EtchaBuilder.Grid.columns.build({count:EtchaBuilder.columnCount,section:newColWidth,withHold:n})
 
    $('div.elected').remove()
  },
  
  elect:function(el){
   
    // add in shift click for merge and ratio
    $('div.blocks').removeClass('elected')
    $(el).hasClass('elected') ? $(el).removeClass('elected') : $(el).addClass('elected')  // choose column/element
  },
  
  electTag:function(el){
     $('div.blocks').removeClass('elected')
     $(EtchaBuilder.tagList).removeClass('electedTag')
     $(el).hasClass('electedTag') ? $(el).removeClass('electedTag') : $(el).addClass('electedTag')
  },  
  
  cage:function(){
    Etcha.layout.properties.width = EtchaBuilder.layoutWidth+"px"
    Etcha.grid.properties.width = EtchaBuilder.layoutWidth+"px"
    Etcha.grid.properties.left = (((window.innerWidth - EtchaBuilder.layoutWidth) / 2)-7)+"px";
    this.format()
  },
 
  stretch:function(w){
    // TODO:Cleanup Redundant code blocks between raise and stretch
    stretchHash = $.evalJSON($('#metacache').text())
    $('div.elected').each(function(s){
       el = this.id 
       jQuery.each(stretchHash, function(i,val){
          if (i == el) {stretchHash[i].properties.width = w+"px" }
        })
    })
     
    EtchaBuilder.metabuild($.toJSON(stretchHash))
    this.format()
  },
  
  raise:function(h){
    // TODO:Cleanup Redundant code blocks between raise and stretch
    stretchHash = $.evalJSON($('#metacache').text())
    $('div.elected').each(function(s){
       el = this.id 
       jQuery.each(stretchHash, function(i,val){
          if (i == el) {stretchHash[i].properties.height = h+"px" }
        })
    })
     
    EtchaBuilder.metabuild($.toJSON(stretchHash))
    this.format()
  },
  
  insert:function(){

    var children='children'
    var has_elect = $('div.elected')[0]
    var margin = '0 '+EtchaBuilder.gutterWidth+'px '+EtchaBuilder.gutterWidth+'px 0'  // not sure... 
    var newElementId = $('#element-name').attr('value') //input

    if(has_elect !=undefined){
      (function(obj) { 

        for each( var item in obj){
          if(typeof item == 'object') {

               if(item.hasOwnProperty('properties')) {this.key = item.name; console.log(this.key + '--' + has_elect.id)}
                              
               if(this.key == has_elect.id ) {

               if (item.children == undefined) {item['children']={};  }// should have child object
               
                item['children'][newElementId]={
                       type:'id',
                       parent:[item.name,'children'],
                       tags:{},
                       name:newElementId,
                       properties:{
                          height: EtchaBuilder.sliderHeight+'px',
                          margin:margin,
                          overflow:'hidden'}
                   }//end obj creation
               }
               arguments.callee(item)  

          }
         } 
      })(Etcha);
      
      EtchaBuilder.Grid.create({ id:newElementId, parent:'#'+has_elect.id }) // asset new element should have parent id
      $('#'+has_elect.id).removeClass('elected');
      
    }
    else{
      if(this.validateElement(newElementId)){
          Etcha[newElementId]={type:'id',name:newElementId, parent:['Etcha'],tags:{}, properties:{height: EtchaBuilder.sliderHeight+'px',margin:margin,overflow:'hidden'}}
        EtchaBuilder.Grid.create({id:newElementId,parent:'#layout'})
        }
    }
      
      

    
    // }//end has_elect
    
  },
  
  resizes:function(el){
    $('#'+el).resizable({
         ghost:true,

         maxWidth:EtchaBuilder.layoutWidth,

         stop:function(){

         var tw =$(this).width()
         var h= $(this).height() + "px"
         var w= tw + "px"

         // clear so css frame work can be applied to element
         $(this).removeAttr('class')
         $(this).removeAttr('style')
         
         // set column for blueprint css
         EtchaBuilder.Blueprint.setColumn({el:this,width:tw})
         EtchaBuilder.Grid.recurseProperty({id:this.id,property:'height',value:h}) 
         EtchaBuilder.Grid.format()
         
    }})
  },
  recurseProperty:function(div){
  
    (function(obj) { 
        for each ( var item in obj){
            if(typeof item == 'object') {
               if(item.hasOwnProperty('properties')) {this.key = item.name;}

               if(typeof item.properties == 'object' && this.key == div.id) item.properties[div.property]=div.value 
               arguments.callee(item)  
           }
        } 
    })(Etcha);

    
  },
  discard:function(){
    //remove element from hash and layout
    $('div.elected').each(function(s){
       el = this.id 
       jQuery.each(Etcha, function(i,val){
          if (i == el) {delete Etcha[i] }
        })
    })
    $('div.elected').remove()
    this.format()
  },
  
  create:function(newEl){
    $('#element-name').val('')
    $('<div id='+newEl.id+' class="blocks span-2"><div class="content">'+newEl.id+'</div></div>').appendTo($(newEl.parent))
    EtchaBuilder.Grid.resizes(newEl.id)
    
    $('#'+newEl.id).live('dblclick',function(){$(this).removeClass('elected')})
        
    this.format()
  },
  
  gutter:function(col){
    // TODO: FINISH THIS - DROP GUTTER IF AT END AND COLUMN DOSEN'T BREAK
    gutterReach = EtchaBuilder.sliderWidth * EtchaBuilder.columnCount + EtchaBuilder.gutterWidth 
    allowGutter = (gutterReach > EtchaBuilder.layoutWidth) ? true : false 
    this.rowCount= allowGutter ? col + 1 : 0
    // console.log(this.rowCount)
    col=null
  },
  
  format:function(){

     var cid = function(type){ return (type == 'class') ? '.' : '#'}
     var css = EtchaBuilder.Blueprint.framework()      

     function formCSS(style){

       css += cid(style.kind)+style.element+'{';
         for (var property in style.properties) { css += property + ':' + style.properties[property] + ';' }
        css +='} \n'

     }
     
     // anyonomus recursive function... 
     //parses Etcha object for CSS 
     (function(obj) { 

       for each( var item in obj){
            if(typeof item == 'object') {
                if(item.hasOwnProperty('properties')) this.key = item.name
                if(typeof item.properties == 'object') formCSS({element:this.key,properties:item.properties,kind:item.type}) 
                arguments.callee(item)  
             }
        } 

     })(Etcha);


    $("#css-store").empty(); //clear latyout rebuild
                             // regex the layoutwidth
    $("#css-store").text(css);
    // $("#metacache").text(EtchaBuilder.sections)
    EtchaBuilder.Export.init()
  },
  
  propertyKind:function(key,type){
    return (type == 'class')? '.'+key : '#'+key
  },
  
  validateElement:function(element){
     var pass = true
     jQuery.each(Etcha, function(i,val){
        if (i == element) { 
           pass = false;
           return false
           }
      })
      if(element =='') {pass=false;}
      if(!pass) {
          msg = (element != '') ? element+': has already been declared, try another name' : 'Please enter a name for your new block'
          alert(msg)
      }
      return pass  
      
  }

}